package com.ruoyi.basic.service;


import com.ruoyi.basic.api.domain.HwTenant;

import java.util.List;

/**
 * 租户信息Service接口
 * 
 * @author xins
 * @date 2023-09-04
 */
public interface IHwTenantService 
{
    /**
     * 查询租户信息
     * 
     * @param tenantId 租户信息主键
     * @return 租户信息
     */
    public HwTenant selectHwTenantByTenantId(Long tenantId);

    /**
     * 查询租户信息列表
     * 
     * @param hwTenant 租户信息
     * @return 租户信息集合
     */
    public List<HwTenant> selectHwTenantList(HwTenant hwTenant);

    /**
     * 新增租户信息
     * 
     * @param hwTenant 租户信息
     * @return 结果
     */
    public int insertHwTenant(HwTenant hwTenant);

    /**
     * 修改租户信息
     * 
     * @param hwTenant 租户信息
     * @return 结果
     */
    public int updateHwTenant(HwTenant hwTenant);

    /**
     * 批量删除租户信息
     * 
     * @param tenantIds 需要删除的租户信息主键集合
     * @return 结果
     */
    public int deleteHwTenantByTenantIds(Long[] tenantIds);

    /**
     * 删除租户信息信息
     * 
     * @param tenantId 租户信息主键
     * @return 结果
     */
    public int deleteHwTenantByTenantId(Long tenantId);
}
